SiliconFlow

获取视频生成链接请求

Get the user-generated video. The URL for the generated video is valid for one hour. Please make sure to download and store it promptly to avoid any issues due to URL expiration.

POST
/video/status
AuthorizationBearer <token>required

Use the following format for authentication: Bearer

In: header

requestIdstringrequired

The requestId returned by the interface submit.

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

statusstring

Status of the operation. Possible values are 'Succeed','InQueue','InProgress','Failed'.

Value in"Succeed" | "InQueue" | "InProgress" | "Failed"
reasonstring

Reason for the operation

resultsobject

curl --request POST \
  --url https://api.siliconflow.cn/v1/video/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "requestId": "<string>"
}'
import requests

url = "https://api.siliconflow.cn/v1/video/status"

payload = {"requestId": "<string>"}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"requestId":"<string>"}'
};

fetch('https://api.siliconflow.cn/v1/video/status', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));
{
  "status": "Succeed",
  "reason": "string",
  "results": {
    "videos": [
      {
        "url": "string"
      }
    ],
    "timings": {
      "inference": 0.1
    },
    "seed": 0
  }
}
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"